Search conversation by project
curl --request POST \
--url https://cloud.memsource.com/web/api2/v1/jobs/conversations/searchByProject \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"jobPartUidRef": {
"uid": "3HYnHHLkTPJfMxBCDbPXFe"
},
"includeDeleted": true,
"mentionedUid": "<string>",
"pageRequest": {
"pageNumber": 123,
"pageSize": 123,
"sort": {
"orders": [
{
"property": "<string>"
}
]
}
},
"since": "2024-07-21T10:15:27.819Z",
"status": "<string>",
"text": "<string>"
}
'import requests
url = "https://cloud.memsource.com/web/api2/v1/jobs/conversations/searchByProject"
payload = {
"jobPartUidRef": { "uid": "3HYnHHLkTPJfMxBCDbPXFe" },
"includeDeleted": True,
"mentionedUid": "<string>",
"pageRequest": {
"pageNumber": 123,
"pageSize": 123,
"sort": { "orders": [{ "property": "<string>" }] }
},
"since": "2024-07-21T10:15:27.819Z",
"status": "<string>",
"text": "<string>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
jobPartUidRef: {uid: '3HYnHHLkTPJfMxBCDbPXFe'},
includeDeleted: true,
mentionedUid: '<string>',
pageRequest: {pageNumber: 123, pageSize: 123, sort: {orders: [{property: '<string>'}]}},
since: '2024-07-21T10:15:27.819Z',
status: '<string>',
text: '<string>'
})
};
fetch('https://cloud.memsource.com/web/api2/v1/jobs/conversations/searchByProject', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"content": [
{
"type": "<string>",
"comments": [
{
"createdBy": {
"unavailable": true,
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"jobRoles": [
{
"workflowStep": {
"abbreviation": "<string>",
"id": 123,
"name": "<string>",
"workflowLevel": 123,
"workflowStep": {
"id": "<string>",
"lqaEnabled": true,
"name": "<string>",
"order": 123,
"uid": "<string>"
}
}
}
],
"lastName": "<string>",
"uid": "<string>",
"userName": "<string>"
},
"dateCreated": "2023-11-07T05:31:56Z",
"dateModified": "2023-11-07T05:31:56Z",
"id": "<string>",
"mentions": [
{
"mentionableGroup": {
"groupName": "<string>",
"groupReference": {
"uid": "3HYnHHLkTPJfMxBCDbPXFe"
}
},
"tag": "<string>",
"uidReference": {
"uid": "3HYnHHLkTPJfMxBCDbPXFe"
},
"userReferences": [
{
"unavailable": true,
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"jobRoles": [
{
"workflowStep": {
"abbreviation": "<string>",
"id": 123,
"name": "<string>",
"workflowLevel": 123,
"workflowStep": {
"id": "<string>",
"lqaEnabled": true,
"name": "<string>",
"order": 123,
"uid": "<string>"
}
}
}
],
"lastName": "<string>",
"uid": "<string>",
"userName": "<string>"
}
]
}
],
"text": "<string>"
}
],
"createdBy": {
"unavailable": true,
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"jobRoles": [
{
"workflowStep": {
"abbreviation": "<string>",
"id": 123,
"name": "<string>",
"workflowLevel": 123,
"workflowStep": {
"id": "<string>",
"lqaEnabled": true,
"name": "<string>",
"order": 123,
"uid": "<string>"
}
}
}
],
"lastName": "<string>",
"uid": "<string>",
"userName": "<string>"
},
"dateCreated": "2023-11-07T05:31:56Z",
"dateEdited": "2023-11-07T05:31:56Z",
"dateModified": "2023-11-07T05:31:56Z",
"deleted": true,
"id": "<string>",
"status": {
"by": {
"unavailable": true,
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"jobRoles": [
{
"workflowStep": {
"abbreviation": "<string>",
"id": 123,
"name": "<string>",
"workflowLevel": 123,
"workflowStep": {
"id": "<string>",
"lqaEnabled": true,
"name": "<string>",
"order": 123,
"uid": "<string>"
}
}
}
],
"lastName": "<string>",
"uid": "<string>",
"userName": "<string>"
},
"date": "2023-11-07T05:31:56Z"
}
}
],
"numberOfElements": 123,
"pageNumber": 123,
"pageSize": 123,
"sort": {
"orders": [
{
"property": "<string>"
}
]
},
"totalElements": 123,
"totalPages": 123
}Conversations
Search conversation by project
This endpoint is allowed only to PM and ADMIN roles.
POST
/
api2
/
v1
/
jobs
/
conversations
/
searchByProject
Search conversation by project
Authorizations
ApiTokenOAuth2
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Body
application/json
Search conversations by project request body
Reference to an object by its unique identifier
Show child attributes
Show child attributes
Include conversations flagged for deletion. Default: false
Search a single user uid in mentions
Show child attributes
Show child attributes
Filtered by createdAt date time in ISO 8601 UTC format
Example:
"2024-07-21T10:15:27.819Z"
Filter current status for values "resolved" or "unresolved"
Case insensitive search in the lqa description and conversation comments
Was this page helpful?
⌘I